Bug 232159 - [patch] deskutils/notify-osd: requires devel/gsettings-desktop-schemas.
Summary: [patch] deskutils/notify-osd: requires devel/gsettings-desktop-schemas.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-10 18:04 UTC by rsmith
Modified: 2019-08-30 07:36 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (ehaupt)


Attachments
Patch for the port Makefile. (363 bytes, patch)
2018-10-10 18:04 UTC, rsmith
no flags Details | Diff
svn-diff-notify-osd (663 bytes, patch)
2019-08-09 16:15 UTC, Walter Schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rsmith 2018-10-10 18:04:46 UTC
Created attachment 198009 [details]
Patch for the port Makefile.

After updating some things, and getting rid of some unneeded packages (I thought), I noticed that notify-send stopped working.
Trying to run /usr/local/libexec/notify-osd directly, I get the following error:

  Settings schema 'org.gnome.desktop.interface' is not installed

Installing the package devel/gsettings-desktop-schemas fixed this issue.
So I've attached a patch that adds a RUN_DEPENDS for gsettings-desktop-schemas.
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-08-08 08:39:14 UTC
ping!
Comment 2 Ting-Wei Lan 2019-08-09 13:46:04 UTC
(In reply to rsmith from comment #0)
I think it is wrong to patch libnotify here. If notify-osd needs gsettings-desktop-schemas, the dependency should be added to notify-osd, not libnotify. I can't find any reference to 'org.gnome.desktop.interface' in libnotify, but it can be found in notify-osd.
Comment 3 Walter Schwarzenfeld freebsd_triage 2019-08-09 13:51:49 UTC
CC'd maintainer of notify-osd.
Comment 4 rsmith 2019-08-09 16:05:03 UTC
(In reply to Ting-Wei Lan from comment #2)

You're right. The dependency should be on notify-osd.

Since I submitted this almost a year ago, I cannot recall why I thought it belonged to libnotify. :-/
Comment 5 Walter Schwarzenfeld freebsd_triage 2019-08-09 16:15:19 UTC
Created attachment 206398 [details]
svn-diff-notify-osd
Comment 6 Walter Schwarzenfeld freebsd_triage 2019-08-09 16:24:56 UTC
(In reply to rsmith from comment #4)
Please, obsolete your patch.
Comment 7 commit-hook freebsd_committer 2019-08-30 07:34:59 UTC
A commit references this bug:

Author: ehaupt
Date: Fri Aug 30 07:34:40 UTC 2019
New revision: 510249
URL: https://svnweb.freebsd.org/changeset/ports/510249

Log:
  - Register devel/gsettings-desktop-schemas as a run dependency
  - While here, pacify portlint

  PR:		232159
  Submitted by:	rsmith@xs4all.nl
  MFH:		2019Q3 (blanket)

Changes:
  head/deskutils/notify-osd/Makefile
Comment 8 commit-hook freebsd_committer 2019-08-30 07:36:01 UTC
A commit references this bug:

Author: ehaupt
Date: Fri Aug 30 07:35:30 UTC 2019
New revision: 510250
URL: https://svnweb.freebsd.org/changeset/ports/510250

Log:
  MFH: r510249

  - Register devel/gsettings-desktop-schemas as a run dependency
  - While here, pacify portlint

  PR:		232159
  Submitted by:	rsmith@xs4all.nl
  Approved by:	portmgr blanket

Changes:
_U  branches/2019Q3/
  branches/2019Q3/deskutils/notify-osd/Makefile
Comment 9 Emanuel Haupt freebsd_committer 2019-08-30 07:36:54 UTC
Committed, thanks! Sorry for the delay (due to holiday).